<?php

namespace App\Core\Validator\Booking;

use Illuminate\Contracts\Container\Container;
use Illuminate\Contracts\Translation\Translator;

use App\Core\Validator\BaseValidator;


class BookingUpdateValidator extends BaseValidator
{
    public function __construct
    (

        Translator $translator,
        Container $container
    )
    {
        parent::__construct($translator, $container);

    }

    public function rules($params = null)
    {
        return [
            'property_id' => 'required|numeric',
            'booking_id' => 'required|numeric',
            'total' => 'required|numeric',
            'currency_code' => 'required|min:3|max:3',
            'status' => 'required|numeric|in:0,1,2,3'
        ];
    }

    public function messages()
    {
        $thisMessages = [];
        return array_merge(parent::messages(), $thisMessages);
    }


    public function validate(array $params, array $rules = [], array $messages = [], array $customAttributes = [])
    {
        return $this->make($params, $this->rules($params), $this->messages());
    }

}
